Provide access to property info from remote repositories
Closed, ResolvedPublic

Description

In order to use properties defined on a foreign repo, we need to access property info (like the data type). For this, we need to define and implement a service that can fetch information from different repositories.

This needs tree steps:

  • Factor the PropertyInfoStore::getXxx methods into a read-only service interface , PropertyInfoLookup
  • Implement a per-repo dispatching version of PropertyInfoLookup, similar to DispatchingTermBuffer or DispatchingEntityRevisionLookup.
  • Make PropertyInfoTable repo-aware (just check the repo name, like WikiPageEntityMetaDataLookup does)

Compare T150848: Create a dispatching version of TermSearchInteractor and T149686: Implement buffering in DispatchingTermLookup

daniel created this task.Nov 22 2016, 11:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 11:00 AM
daniel renamed this task from Create a dispatching version of PropertyInfoLookup to Provide access to property info from remotre repositories.Nov 22 2016, 11:35 AM
daniel updated the task description. (Show Details)
daniel updated the task description. (Show Details)Nov 22 2016, 4:12 PM
daniel updated the task description. (Show Details)Nov 24 2016, 5:35 PM
WMDE-leszek renamed this task from Provide access to property info from remotre repositories to Provide access to property info from remote repositories.Dec 1 2016, 8:48 AM
Aleksey_WMDE moved this task from Backlog to Doing on the Wikidata-Sprint board.Dec 20 2016, 6:26 PM
WMDE-leszek closed this task as Resolved.Jan 24 2017, 9:03 AM
WMDE-leszek moved this task from Doing to Done on the Wikidata-Sprint board.
WMDE-leszek claimed this task.